{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans "Accounts" %}{% endblock title %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{% trans "Accounts" %}</h1>
                </div>
                <div class="card-body">
                    <table id="jsTable" class="table table-striped nowrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th scope="col">{% trans "Account ID" %}</th>
                                <th scope="col">{% trans "First Name" %}</th>
                                <th scope="col">{% trans "Last Name" %}</th>
                                <th scope="col">{% trans "Email" %}</th>
                                <th scope="col">
                                    {% if perms.accounts.manage_accounts %}
                                    <a class="btn btn-sm btn-success" href="{% url 'accounts:create' %}?next={{ request.get_full_path }}"
                                        data-toggle="tooltip" title="{% trans 'Create Account' %}">
                                        <i class="fas fa-plus fa-fw"></i>
                                    </a>
                                    {% endif %}
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for account in account_list %}
                            <tr>
                                <td>{{ account.pk }}</td>
                                <td>{{ account.first_name }}</td>
                                <td>{{ account.last_name }}</td>
                                <td>{{ account.email }}</td>
                                <td>
                                    <a class="btn btn-sm btn-info" href="{% url 'accounts:detail' pk=account.pk %}" data-toggle="tooltip"
                                        title="{% trans 'View Account' %}">
                                        <i class="fas fa-eye fa-fw"></i>
                                    </a>
                                    {% if perms.accounts.manage_accounts %}
                                    <a class="btn btn-sm btn-warning"
                                        href="{% url 'accounts:edit' pk=account.pk %}?next={{ request.get_full_path }}"
                                        data-toggle="tooltip" title="{% trans 'Edit Account' %}">
                                        <i class="fas fa-pen fa-fw"></i>
                                    </a>
                                    <a class="btn btn-sm btn-danger"
                                        href="{% url 'accounts:delete' pk=account.pk %}?next={{ request.get_full_path }}"
                                        data-toggle="tooltip" title="{% trans 'Delete Account' %}">
                                        <i class="fas fa-trash fa-fw"></i>
                                    </a>
                                    {% endif %}
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock content %}